/* ip_frag_sup.h */
/* Definitions for Fragmentation and Reassembly support */
/* procedures for the IP example model */

/****************************************/
/*	Copyright (c) 1987,88,89,90,91		*/
/*			by MIL 3, Inc.				*/
/*		(A Delaware Corporation)		*/
/*	3400 International Drive,  N.W.		*/
/*		Washington, D.C., U.S.A.		*/
/*			All Rights Reserved.		*/
/****************************************/


/* ip_frag_file: used to hold the fragments of a datagram until */
/* it is completely arrived. */
typedef struct
	{
	int				dgram_id;
	int				src_net;
	int				src_node;
	int				total_bytes_rcvd;
	int				total_bytes_reqd;
	Packet*			ip_pkptr;
	} ip_frag_file;


typedef struct
	{
	List			*dgram_list_ptr;
	} ip_dgram_list;



/* Procedure Declarations */
Packet*				ip_frag_sup_insert ();
ip_dgram_list*		ip_frag_sup_setup ();








